Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.crypt

# Interface CryptConnectionInfo

public interface CryptConnectionInfo
Details of the connection, which the SPI can use to decide if they can work.

NOTE: This class is currently only internal to Jaybird, consider the API as unstable.

Since:
  6
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`int`
`protocolVersion()`
Protocol version of the connection.

## Method Details

### protocolVersion

int protocolVersion()
Protocol version of the connection.

The protocol version is masked, so use the relevant `PROTOCOL_VERSIONnn` constants from `WireProtocolConstants` or equivalents for checks.

Returns:
  protocol version, `0` means unknown (shouldn't occur normally)